﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Windows.ApplicationModel;
using Todolist.Commons;
using Todolist.Models;

namespace Todolist.ViewModels
{
    public class MainPageViewModel : BindableBase
    {
        private const string WORKING = "0";
        private const string COMPLETE = "1";
        private const string DELETED = "1";

        /// <summary>
        /// 기본 생성자
        /// </summary>
        public MainPageViewModel()
        { 
            if (DesignMode.DesignModeEnabled)
            {
                Todos = new List<TodoModel>
                {
                    new TodoModel{ Id = 0, Title = "todo0", Content = "todotodo", Status = WORKING, Created = DateTime.Now},
                    new TodoModel{ Id = 1, Title = "todo1", Content = "todotodo", Status = COMPLETE, Created = DateTime.Now},
                    new TodoModel{ Id = 2, Title = "todo2", Content = "todotodo", Status = WORKING, Created = DateTime.Now},
                    new TodoModel{ Id = 3, Title = "todo3", Content = "todotodo", Status = DELETED, Created = DateTime.Now},
                    new TodoModel{ Id = 4, Title = "todo4", Content = "todotodo", Status = COMPLETE, Created = DateTime.Now},
                    new TodoModel{ Id = 5, Title = "todo5", Content = "todotodo", Status = WORKING, Created = DateTime.Now},
                    new TodoModel{ Id = 6, Title = "todo6", Content = "todotodo", Status = WORKING, Created = DateTime.Now},
                    new TodoModel{ Id = 7, Title = "todo7", Content = "todotodo", Status = DELETED, Created = DateTime.Now},
                };

                CurrentTodo = Todos.FirstOrDefault();
            }
            else
            {
                Todos = new List<TodoModel>();
            }
        }

        public IList<TodoModel> Todos { get; set; }

        private TodoModel _currentTodo;
        /// <summary>
        /// CurrentTodo
        /// </summary>
        public TodoModel CurrentTodo
        {
            get { return _currentTodo; }
            set { SetProperty(ref _currentTodo, value); }
        }

    }
}
